<form class='container' [formGroup]='passwordForm' (ngSubmit)='onSubmit()'>

  <mat-form-field class='full-width' appearance='fill'>
    <mat-label i18n>Old password</mat-label>
    <input type='password' matInput placeholder='Enter your current password' formControlName='oldPassword' required>
  </mat-form-field>

  <mat-form-field class='full-width' appearance='fill'>
    <mat-label i18n>New password</mat-label>
    <input type='password' matInput placeholder='Enter new password' formControlName='newPassword' required>
  </mat-form-field>

  <mat-form-field class='full-width' appearance='fill'>
    <mat-label i18n>Confirm password</mat-label>
    <input type='password' matInput placeholder='Confirm password' formControlName='confirmPassword' required>
  </mat-form-field>

  <button
    type='submit'
    mat-raised-button
    class='full-width'
    color='primary'
    [disabled]='!passwordForm.valid || isLoading' i18n>
    Change Password</button>

  <div *ngIf='isLoading' class='spinner'>
    <app-spinner></app-spinner>
  </div>
</form>
